var search_data = {"index":{"searchIndex":["rdf","turtle","format","freebasereader","reader","recovery","syntaxerror","streamingwriter","terminals","version","writer","add_statement()","blanknodepropertylist()","blanknodepropertylist?()","bnode()","bump_reference()","collection()","collection?()","debug()","detect()","each_statement()","each_triple()","error()","format()","format_literal()","format_node()","format_quotedtriple()","format_uri()","get_pname()","indent()","inspect()","is_done?()","literal()","new()","new()","new()","new()","objectlist()","options()","options()","order_subjects()","p_term()","path()","pname()","predicate()","predicateobjectlist()","predicate_order()","prefix()","preprocess()","preprocess_statement()","process_iri()","prod()","progress()","prop_count()","quoted()","read_blanknode()","read_annotation()","read_blanknodepropertylist()","read_boolean()","read_collection()","read_directive()","read_iri()","read_literal()","read_literal()","read_numeric()","read_object()","read_objectlist()","read_pname()","read_predicateobjectlist()","read_prefix()","read_qtobject()","read_qtsubject()","read_quotedtriple()","read_statement()","read_subject()","read_triple()","read_triples()","read_verb()","recover()","ref_count()","reset()","sort_properties()","start_document()","statement()","stream_epilogue()","stream_prologue()","stream_statement()","subject_done()","symbols()","to_a()","to_s()","to_str()","top_classes()","triples()","write_epilogue()","write_prologue()","write_triple()"],"longSearchIndex":["rdf","rdf::turtle","rdf::turtle::format","rdf::turtle::freebasereader","rdf::turtle::reader","rdf::turtle::reader::recovery","rdf::turtle::reader::syntaxerror","rdf::turtle::streamingwriter","rdf::turtle::terminals","rdf::turtle::version","rdf::turtle::writer","rdf::turtle::reader#add_statement()","rdf::turtle::writer#blanknodepropertylist()","rdf::turtle::writer#blanknodepropertylist?()","rdf::turtle::reader#bnode()","rdf::turtle::writer#bump_reference()","rdf::turtle::writer#collection()","rdf::turtle::writer#collection?()","rdf::turtle::reader#debug()","rdf::turtle::format::detect()","rdf::turtle::reader#each_statement()","rdf::turtle::reader#each_triple()","rdf::turtle::reader#error()","rdf::turtle::freebasereader::format()","rdf::turtle::writer#format_literal()","rdf::turtle::writer#format_node()","rdf::turtle::writer#format_quotedtriple()","rdf::turtle::writer#format_uri()","rdf::turtle::writer#get_pname()","rdf::turtle::writer#indent()","rdf::turtle::reader#inspect()","rdf::turtle::writer#is_done?()","rdf::turtle::reader#literal()","rdf::turtle::reader::new()","rdf::turtle::reader::new()","rdf::turtle::reader::syntaxerror::new()","rdf::turtle::writer::new()","rdf::turtle::writer#objectlist()","rdf::turtle::reader::options()","rdf::turtle::writer::options()","rdf::turtle::writer#order_subjects()","rdf::turtle::writer#p_term()","rdf::turtle::writer#path()","rdf::turtle::reader#pname()","rdf::turtle::writer#predicate()","rdf::turtle::writer#predicateobjectlist()","rdf::turtle::writer#predicate_order()","rdf::turtle::reader#prefix()","rdf::turtle::writer#preprocess()","rdf::turtle::writer#preprocess_statement()","rdf::turtle::reader#process_iri()","rdf::turtle::reader#prod()","rdf::turtle::reader#progress()","rdf::turtle::writer#prop_count()","rdf::turtle::writer#quoted()","rdf::turtle::reader#read_blanknode()","rdf::turtle::reader#read_annotation()","rdf::turtle::reader#read_blanknodepropertylist()","rdf::turtle::freebasereader#read_boolean()","rdf::turtle::reader#read_collection()","rdf::turtle::reader#read_directive()","rdf::turtle::reader#read_iri()","rdf::turtle::freebasereader#read_literal()","rdf::turtle::reader#read_literal()","rdf::turtle::freebasereader#read_numeric()","rdf::turtle::reader#read_object()","rdf::turtle::reader#read_objectlist()","rdf::turtle::freebasereader#read_pname()","rdf::turtle::reader#read_predicateobjectlist()","rdf::turtle::freebasereader#read_prefix()","rdf::turtle::reader#read_qtobject()","rdf::turtle::reader#read_qtsubject()","rdf::turtle::reader#read_quotedtriple()","rdf::turtle::reader#read_statement()","rdf::turtle::reader#read_subject()","rdf::turtle::freebasereader#read_triple()","rdf::turtle::reader#read_triples()","rdf::turtle::reader#read_verb()","rdf::turtle::reader#recover()","rdf::turtle::writer#ref_count()","rdf::turtle::writer#reset()","rdf::turtle::writer#sort_properties()","rdf::turtle::writer#start_document()","rdf::turtle::writer#statement()","rdf::turtle::streamingwriter#stream_epilogue()","rdf::turtle::streamingwriter#stream_prologue()","rdf::turtle::streamingwriter#stream_statement()","rdf::turtle::writer#subject_done()","rdf::turtle::format::symbols()","rdf::turtle::version::to_a()","rdf::turtle::version::to_s()","rdf::turtle::version::to_str()","rdf::turtle::writer#top_classes()","rdf::turtle::writer#triples()","rdf::turtle::writer#write_epilogue()","rdf::turtle::writer#write_prologue()","rdf::turtle::writer#write_triple()"],"info":[["RDF","","RDF.html","",""],["RDF::Turtle","","RDF/Turtle.html","","<p>**‘RDF::Turtle`** is an Turtle extension for RDF.rb.\n<p>@example Requiring the ‘RDF::Turtle` module\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">require</span> <span class=\"ruby-operator\">...</span>\n</pre>\n"],["RDF::Turtle::Format","","RDF/Turtle/Format.html","","<p>Turtle format specification.\n<p>@example Obtaining an Turtle format class\n\n<pre class=\"ruby\"><span class=\"ruby-constant\">RDF</span><span class=\"ruby-operator\">::</span><span class=\"ruby-constant\">Format</span>.<span class=\"ruby-identifier\">for</span>(<span class=\"ruby-string\">&quot;etc/foaf.ttl&quot;</span>) <span class=\"ruby-operator\">...</span>\n</pre>\n"],["RDF::Turtle::FreebaseReader","","RDF/Turtle/FreebaseReader.html","","<p>Parser specifically for Freebase, which has a very regular form.\n<p>@see developers.google.com/freebase/data …\n"],["RDF::Turtle::Reader","","RDF/Turtle/Reader.html","","<p>A parser for the Turtle 2\n"],["RDF::Turtle::Reader::Recovery","","RDF/Turtle/Reader/Recovery.html","","<p>Used for internal error recovery\n"],["RDF::Turtle::Reader::SyntaxError","","RDF/Turtle/Reader/SyntaxError.html","",""],["RDF::Turtle::StreamingWriter","","RDF/Turtle/StreamingWriter.html","","<p>Streaming writer interface @author [Gregg Kellogg](greggkellogg.net/)\n"],["RDF::Turtle::Terminals","","RDF/Turtle/Terminals.html","",""],["RDF::Turtle::VERSION","","RDF/Turtle/VERSION.html","",""],["RDF::Turtle::Writer","","RDF/Turtle/Writer.html","","<p>A Turtle serialiser\n<p>Note that the natural interface is to write a whole graph at a time. Writing statements …\n"],["add_statement","RDF::Turtle::Reader","RDF/Turtle/Reader.html#method-i-add_statement","(production, statement)","<p>add a statement, object can be literal or URI or bnode\n<p>@param [Symbol] production @param [RDF::Statement] …\n"],["blankNodePropertyList","RDF::Turtle::Writer","RDF/Turtle/Writer.html#method-i-blankNodePropertyList","(resource, position)","<p>Represent resource as a blankNodePropertyList\n"],["blankNodePropertyList?","RDF::Turtle::Writer","RDF/Turtle/Writer.html#method-i-blankNodePropertyList-3F","(resource, position)","<p>Can subject be represented as a blankNodePropertyList?\n"],["bnode","RDF::Turtle::Reader","RDF/Turtle/Reader.html#method-i-bnode","(value = nil)","<p>Keep track of allocated BNodes\n"],["bump_reference","RDF::Turtle::Writer","RDF/Turtle/Writer.html#method-i-bump_reference","(resource)","<p>Increase the reference count of this resource @param [RDF::Resource] resource @return [Integer] resulting …\n"],["collection","RDF::Turtle::Writer","RDF/Turtle/Writer.html#method-i-collection","(node, position)",""],["collection?","RDF::Turtle::Writer","RDF/Turtle/Writer.html#method-i-collection-3F","(l)","<p>Checks if l is a valid RDF list, i.e. no nodes have other properties.\n"],["debug","RDF::Turtle::Reader","RDF/Turtle/Reader.html#method-i-debug","(*args, &block)",""],["detect","RDF::Turtle::Format","RDF/Turtle/Format.html#method-c-detect","(sample)","<p>Sample detection to see if it matches Turtle (or N-Triples)\n<p>Use a text sample to detect the format of …\n"],["each_statement","RDF::Turtle::Reader","RDF/Turtle/Reader.html#method-i-each_statement","(&block)","<p>Iterates the given block for each RDF statement in the input.\n<p>@yield  [statement] @yieldparam [RDF::Statement] …\n"],["each_triple","RDF::Turtle::Reader","RDF/Turtle/Reader.html#method-i-each_triple","(&block)","<p>Iterates the given block for each RDF triple in the input.\n<p>@yield  [subject, predicate, object] @yieldparam …\n"],["error","RDF::Turtle::Reader","RDF/Turtle/Reader.html#method-i-error","(*args)","<p>Error information, used as level ‘0` debug messages.\n<p>@overload error(node, message, options)\n\n<pre class=\"ruby\"><span class=\"ruby-ivar\">@param</span> [<span class=\"ruby-constant\">String</span>] <span class=\"ruby-operator\">...</span>\n</pre>\n"],["format","RDF::Turtle::FreebaseReader","RDF/Turtle/FreebaseReader.html#method-c-format","()",""],["format_literal","RDF::Turtle::Writer","RDF/Turtle/Writer.html#method-i-format_literal","(literal, **options)","<p>Returns the N-Triples representation of a literal.\n<p>@param  [RDF::Literal, String, #to_s] literal @param …\n"],["format_node","RDF::Turtle::Writer","RDF/Turtle/Writer.html#method-i-format_node","(node, **options)","<p>Returns the Turtle representation of a blank node.\n<p>@param  [RDF::Node] node @param  [Hash{Symbol =&gt; …\n"],["format_quotedTriple","RDF::Turtle::Writer","RDF/Turtle/Writer.html#method-i-format_quotedTriple","(statement, **options)","<p>Returns an embedded triple.\n<p>@param [RDF::Statement] statement @param [Hash{Symbol =&gt; Object}] options …\n"],["format_uri","RDF::Turtle::Writer","RDF/Turtle/Writer.html#method-i-format_uri","(uri, **options)","<p>Returns the Turtle representation of a URI reference.\n<p>@param  [RDF::URI] uri @param  [Hash{Symbol =&gt; …\n"],["get_pname","RDF::Turtle::Writer","RDF/Turtle/Writer.html#method-i-get_pname","(resource)","<p>Return a PName for the URI, or nil. Adds namespace of PName to defined prefixes @param [RDF::Resource] …\n"],["indent","RDF::Turtle::Writer","RDF/Turtle/Writer.html#method-i-indent","(modifier = 0)","<p>Returns indent string multiplied by the depth @param [Integer] modifier Increase depth by specified amount …\n"],["inspect","RDF::Turtle::Reader","RDF/Turtle/Reader.html#method-i-inspect","()",""],["is_done?","RDF::Turtle::Writer","RDF/Turtle/Writer.html#method-i-is_done-3F","(subject)",""],["literal","RDF::Turtle::Reader","RDF/Turtle/Reader.html#method-i-literal","(value, **options)","<p>Create a literal\n"],["new","RDF::Turtle::Reader","RDF/Turtle/Reader.html#method-c-new","(input = nil, **options, &block)","<p>Redirect for Freebase Reader\n<p>@private\n"],["new","RDF::Turtle::Reader","RDF/Turtle/Reader.html#method-c-new","(input = nil, **options, &block)","<p>Initializes a new reader instance.\n<p>Note, the spec does not define a default mapping for the empty prefix, …\n"],["new","RDF::Turtle::Reader::SyntaxError","RDF/Turtle/Reader/SyntaxError.html#method-c-new","(message, **options)","<p>Initializes a new syntax error instance.\n<p>@param  [String, #to_s]          message @param  [Hash{Symbol …\n"],["new","RDF::Turtle::Writer","RDF/Turtle/Writer.html#method-c-new","(output = $stdout, **options, &block)","<p>Initializes the Turtle writer instance.\n<p>@param  [IO, File] output\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">the</span> <span class=\"ruby-identifier\">output</span> <span class=\"ruby-identifier\">stream</span>\n</pre>\n"],["objectList","RDF::Turtle::Writer","RDF/Turtle/Writer.html#method-i-objectList","(subject, predicate, objects)","<p>Render an objectList having a common subject and predicate\n"],["options","RDF::Turtle::Reader","RDF/Turtle/Reader.html#method-c-options","()","<p>Reader options @see ruby-rdf.github.io/rdf/RDF/Reader#options-class_method\n"],["options","RDF::Turtle::Writer","RDF/Turtle/Writer.html#method-c-options","()","<p>Writer options @see ruby-rdf.github.io/rdf/RDF/Writer#options-class_method\n"],["order_subjects","RDF::Turtle::Writer","RDF/Turtle/Writer.html#method-i-order_subjects","()","<p>Order subjects for output. Override this to output subjects in another order.\n<p>Uses #top_classes and #base_uri …\n"],["p_term","RDF::Turtle::Writer","RDF/Turtle/Writer.html#method-i-p_term","(resource, position)","<p>Default singular resource representation.\n"],["path","RDF::Turtle::Writer","RDF/Turtle/Writer.html#method-i-path","(resource, position)","<p>Represent a resource in subject, predicate or object position. Use either collection, blankNodePropertyList …\n"],["pname","RDF::Turtle::Reader","RDF/Turtle/Reader.html#method-i-pname","(prefix, suffix)","<p>Expand a PNAME using string concatenation\n"],["predicate","RDF::Turtle::Writer","RDF/Turtle/Writer.html#method-i-predicate","(resource)",""],["predicateObjectList","RDF::Turtle::Writer","RDF/Turtle/Writer.html#method-i-predicateObjectList","(subject, from_bpl = false)","<p>Render a predicateObjectList having a common subject. @return [Integer] the number of properties serialized …\n"],["predicate_order","RDF::Turtle::Writer","RDF/Turtle/Writer.html#method-i-predicate_order","()","<p>Defines order of predicates to to emit at begninning of a resource description. Defaults to ‘[rdf:type, …\n"],["prefix","RDF::Turtle::Reader","RDF/Turtle/Reader.html#method-i-prefix","(prefix, iri = nil)","<p>Override #prefix to take a relative IRI\n<p>prefix directives map a local name to an IRI, also resolved against …\n"],["preprocess","RDF::Turtle::Writer","RDF/Turtle/Writer.html#method-i-preprocess","()","<p>Perform any preprocessing of statements required\n"],["preprocess_statement","RDF::Turtle::Writer","RDF/Turtle/Writer.html#method-i-preprocess_statement","(statement)","<p>Perform any statement preprocessing required. This is used to perform reference counts and determine …\n"],["process_iri","RDF::Turtle::Reader","RDF/Turtle/Reader.html#method-i-process_iri","(iri)","<p>Process a URI against base\n"],["prod","RDF::Turtle::Reader","RDF/Turtle/Reader.html#method-i-prod","(production, recover_to = [])",""],["progress","RDF::Turtle::Reader","RDF/Turtle/Reader.html#method-i-progress","(*args, &block)",""],["prop_count","RDF::Turtle::Writer","RDF/Turtle/Writer.html#method-i-prop_count","(subject)","<p>Return the number of statements having this resource as a subject other than for list properties @return …\n"],["quoted","RDF::Turtle::Writer","RDF/Turtle/Writer.html#method-i-quoted","(string)","<p>Use single- or multi-line quotes. If literal contains t, n, or r, use a multiline quote, otherwise, use …\n"],["read_BlankNode","RDF::Turtle::Reader","RDF/Turtle/Reader.html#method-i-read_BlankNode","()","<p>@return [RDF::Node]\n"],["read_annotation","RDF::Turtle::Reader","RDF/Turtle/Reader.html#method-i-read_annotation","(subject, predicate, object)","<p>Read an annotation on a triple\n"],["read_blankNodePropertyList","RDF::Turtle::Reader","RDF/Turtle/Reader.html#method-i-read_blankNodePropertyList","()","<p>@return [RDF::Node]\n"],["read_boolean","RDF::Turtle::FreebaseReader","RDF/Turtle/FreebaseReader.html#method-i-read_boolean","()","<p>Read a boolean value @return [RDF::Literal::Boolean]\n"],["read_collection","RDF::Turtle::Reader","RDF/Turtle/Reader.html#method-i-read_collection","()","<p>@return [RDF::Node]\n"],["read_directive","RDF::Turtle::Reader","RDF/Turtle/Reader.html#method-i-read_directive","()","<p>@return [void]\n"],["read_iri","RDF::Turtle::Reader","RDF/Turtle/Reader.html#method-i-read_iri","()","<p>@return [RDF::URI]\n"],["read_literal","RDF::Turtle::FreebaseReader","RDF/Turtle/FreebaseReader.html#method-i-read_literal","()","<p>@return [RDF::Literal] @see    www.w3.org/TR/rdf-testcases/#ntrip_grammar (literal)\n"],["read_literal","RDF::Turtle::Reader","RDF/Turtle/Reader.html#method-i-read_literal","()","<p>@return [RDF::Literal]\n"],["read_numeric","RDF::Turtle::FreebaseReader","RDF/Turtle/FreebaseReader.html#method-i-read_numeric","()","<p>Read a numeric value @return [RDF::Literal::Integer, RDF::Literal::Float, RDF::Literal::Double]\n"],["read_object","RDF::Turtle::Reader","RDF/Turtle/Reader.html#method-i-read_object","(subject = nil, predicate = nil)","<p>@return [void]\n"],["read_objectList","RDF::Turtle::Reader","RDF/Turtle/Reader.html#method-i-read_objectList","(subject, predicate)","<p>@return [RDF::Term] the last matched subject\n"],["read_pname","RDF::Turtle::FreebaseReader","RDF/Turtle/FreebaseReader.html#method-i-read_pname","(**options)","<p>Read a PNAME of the form ‘prefix:suffix`. @return [RDF::URI]\n"],["read_predicateObjectList","RDF::Turtle::Reader","RDF/Turtle/Reader.html#method-i-read_predicateObjectList","(subject)","<p>@param [RDF::Resource] subject @return [RDF::URI] the last matched verb\n"],["read_prefix","RDF::Turtle::FreebaseReader","RDF/Turtle/FreebaseReader.html#method-i-read_prefix","()","<p>Read a prefix of the form ‘@prefix pfx: &lt;uri&gt; .\n<p>Add prefix definition to ‘prefixes` @return [RDF::URI] …\n"],["read_qtObject","RDF::Turtle::Reader","RDF/Turtle/Reader.html#method-i-read_qtObject","(subject = nil, predicate = nil)","<p>@return [RDF::Term]\n"],["read_qtSubject","RDF::Turtle::Reader","RDF/Turtle/Reader.html#method-i-read_qtSubject","()","<p>@return [RDF::Resource]\n"],["read_quotedTriple","RDF::Turtle::Reader","RDF/Turtle/Reader.html#method-i-read_quotedTriple","()","<p>Read a quoted triple @return [RDF::Statement]\n"],["read_statement","RDF::Turtle::Reader","RDF/Turtle/Reader.html#method-i-read_statement","()","<p>@return [void]\n"],["read_subject","RDF::Turtle::Reader","RDF/Turtle/Reader.html#method-i-read_subject","()","<p>@return [RDF::Resource]\n"],["read_triple","RDF::Turtle::FreebaseReader","RDF/Turtle/FreebaseReader.html#method-i-read_triple","()","<p>Extension to N-Triples reader, includes reading pnames and prefixes\n"],["read_triples","RDF::Turtle::Reader","RDF/Turtle/Reader.html#method-i-read_triples","()","<p>@return [Object] returns the last verb matched, or subject BNode on predicateObjectList?\n"],["read_verb","RDF::Turtle::Reader","RDF/Turtle/Reader.html#method-i-read_verb","()","<p>@return [RDF::URI]\n"],["recover","RDF::Turtle::Reader","RDF/Turtle/Reader.html#method-i-recover","(*args, &block)",""],["ref_count","RDF::Turtle::Writer","RDF/Turtle/Writer.html#method-i-ref_count","(resource)","<p>Return the number of times this node has been referenced in the object position @return [Integer]\n"],["reset","RDF::Turtle::Writer","RDF/Turtle/Writer.html#method-i-reset","()","<p>Reset internal helper instance variables\n"],["sort_properties","RDF::Turtle::Writer","RDF/Turtle/Writer.html#method-i-sort_properties","(properties)","<p>Take a hash from predicate uris to lists of values. Sort the lists of values.  Return a sorted list of …\n"],["start_document","RDF::Turtle::Writer","RDF/Turtle/Writer.html#method-i-start_document","()","<p>Output @base and @prefix definitions\n"],["statement","RDF::Turtle::Writer","RDF/Turtle/Writer.html#method-i-statement","(subject)",""],["stream_epilogue","RDF::Turtle::StreamingWriter","RDF/Turtle/StreamingWriter.html#method-i-stream_epilogue","()","<p>Complete open statements @return [void] ‘self`\n"],["stream_prologue","RDF::Turtle::StreamingWriter","RDF/Turtle/StreamingWriter.html#method-i-stream_prologue","()","<p>Write out declarations @return [void] ‘self`\n"],["stream_statement","RDF::Turtle::StreamingWriter","RDF/Turtle/StreamingWriter.html#method-i-stream_statement","(statement)","<p>Write out a statement, retaining current ‘subject` and `predicate` to create more compact output @return …\n"],["subject_done","RDF::Turtle::Writer","RDF/Turtle/Writer.html#method-i-subject_done","(subject)","<p>Mark a subject as done.\n"],["symbols","RDF::Turtle::Format","RDF/Turtle/Format.html#method-c-symbols","()","<p>List of symbols used to lookup this format\n"],["to_a","RDF::Turtle::VERSION","RDF/Turtle/VERSION.html#method-c-to_a","()","<p>@return [Array(Integer, Integer, Integer)]\n"],["to_s","RDF::Turtle::VERSION","RDF/Turtle/VERSION.html#method-c-to_s","()","<p>@return [String]\n"],["to_str","RDF::Turtle::VERSION","RDF/Turtle/VERSION.html#method-c-to_str","()","<p>@return [String]\n"],["top_classes","RDF::Turtle::Writer","RDF/Turtle/Writer.html#method-i-top_classes","()","<p>Defines rdf:type of subjects to be emitted at the beginning of the graph. Defaults to rdfs:Class @return …\n"],["triples","RDF::Turtle::Writer","RDF/Turtle/Writer.html#method-i-triples","(subject)","<p>Render triples having the same subject using an explicit subject\n"],["write_epilogue","RDF::Turtle::Writer","RDF/Turtle/Writer.html#method-i-write_epilogue","()","<p>Outputs the Turtle representation of all stored triples.\n<p>@return [void] @see    #write_triple\n"],["write_prologue","RDF::Turtle::Writer","RDF/Turtle/Writer.html#method-i-write_prologue","()","<p>Write out declarations @return [void] ‘self`\n"],["write_triple","RDF::Turtle::Writer","RDF/Turtle/Writer.html#method-i-write_triple","(subject, predicate, object)","<p>Adds a triple to be serialized @param  [RDF::Resource] subject @param  [RDF::URI]      predicate @param …\n"]]}}